Add initial 2.6.22 support
[~emulex/for-vlad/old/compat.git] / compat / Makefile
1 obj-m += compat.o
2 #compat-objs :=
3
4 compat-y += main.o
5
6 # Compat kernel compatibility code
7 compat-$(CONFIG_COMPAT_KERNEL_14) += compat-2.6.14.o
8 compat-$(CONFIG_COMPAT_KERNEL_18) += compat-2.6.18.o
9 compat-$(CONFIG_COMPAT_KERNEL_19) += compat-2.6.19.o
10 compat-$(CONFIG_COMPAT_KERNEL_21) += compat-2.6.21.o
11 compat-$(CONFIG_COMPAT_KERNEL_22) += compat-2.6.22.o
12 compat-$(CONFIG_COMPAT_KERNEL_23) += compat-2.6.23.o
13
14 compat-$(CONFIG_COMPAT_KERNEL_24) += \
15         compat-2.6.24.o \
16         pm_qos_params.o
17
18 compat-$(CONFIG_COMPAT_KERNEL_25) += compat-2.6.25.o
19 compat-$(CONFIG_COMPAT_KERNEL_26) += compat-2.6.26.o
20 compat-$(CONFIG_COMPAT_KERNEL_27) += compat-2.6.27.o
21 compat-$(CONFIG_COMPAT_KERNEL_28) += compat-2.6.28.o
22 compat-$(CONFIG_COMPAT_KERNEL_29) += compat-2.6.29.o
23 compat-$(CONFIG_COMPAT_KERNEL_30) += compat-2.6.30.o
24 compat-$(CONFIG_COMPAT_KERNEL_31) += compat-2.6.31.o
25 compat-$(CONFIG_COMPAT_KERNEL_32) += compat-2.6.32.o
26 compat-$(CONFIG_COMPAT_KERNEL_33) += compat-2.6.33.o